Package org.apache.wiki.url

# Class ShortViewURLConstructor

java.lang.Object
org.apache.wiki.url.DefaultURLConstructor
org.apache.wiki.url.ShortURLConstructor
org.apache.wiki.url.ShortViewURLConstructor

All Implemented Interfaces:
  `Initializable`, `URLConstructor`

public class ShortViewURLConstructor extends ShortURLConstructor
A specific URL constructor that returns easy-to-grok URLs for VIEW and ATTACH contexts, but goes through JSP pages otherwise.

Since:
  2.2

## Field Summary

### Fields inherited from class org.apache.wiki.url.ShortURLConstructor

`m_urlPrefix, PROP_PREFIX`

### Fields inherited from class org.apache.wiki.url.DefaultURLConstructor

`m_engine, m_pathPrefix`

## Constructor Summary

Constructors
Constructor
Description
`ShortViewURLConstructor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getForwardPage(javax.servlet.http.HttpServletRequest request)`
Since we're only called from WikiServlet, where we get the VIEW requests, we can safely return this.
`void`
`initialize(Engine engine, Properties properties)`
`String`
`makeURL(String context, String name, String parameters)`
Constructs the URL with a bunch of parameters.

### Methods inherited from class org.apache.wiki.url.ShortURLConstructor

`parsePage`

### Methods inherited from class org.apache.wiki.url.DefaultURLConstructor

`doReplacement, getURLPattern`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShortViewURLConstructor

public ShortViewURLConstructor()

## Method Details

### initialize

public void initialize(Engine engine, Properties properties)

Specified by:
  `initialize` in interface `Initializable`
Overrides:
  `initialize` in class `ShortURLConstructor`

### makeURL

public String makeURL(String context, String name, String parameters)
Constructs the URL with a bunch of parameters.

Specified by:
  `makeURL` in interface `URLConstructor`
Overrides:
  `makeURL` in class `ShortURLConstructor`
Parameters:
  `context` - The request context (@see WikiContext) that you want the URL for
  `name` - The page name (or in case of WikiContext.NONE, the auxiliary JSP page or resource you want to point at). This must be URL encoded. Null is NOT safe.
  `parameters` - If null or empty, no parameters are added. An URL parameter string (these must be URL-encoded, and separated with &amp;)
Returns:
  An URL pointing to the resource. Must never return null - throw an InternalWikiException if something goes wrong.

### getForwardPage

public String getForwardPage(javax.servlet.http.HttpServletRequest request)
Since we're only called from WikiServlet, where we get the VIEW requests, we can safely return this.

Specified by:
  `getForwardPage` in interface `URLConstructor`
Overrides:
  `getForwardPage` in class `ShortURLConstructor`
Parameters:
  `request` - The HTTP Request that was used to end up in this page.
Returns:
  always returns "Wiki.jsp"